Bug 1565965 - [Docs][Admin] ovirt-provider-ovn configuration file
Summary: [Docs][Admin] ovirt-provider-ovn configuration file
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: Documentation
Version: 4.2.0
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ovirt-4.3.3
: 4.3.0
Assignee: rhev-docs@redhat.com
QA Contact: rhev-docs@redhat.com
URL:
Whiteboard:
Depends On: 1447875
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-11 08:01 UTC by Marcin Mirecki
Modified: 2019-05-07 12:46 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-21 12:46:58 UTC
oVirt Team: Network
Target Upstream Version:


Attachments (Terms of Use)

Description Marcin Mirecki 2018-04-11 08:01:25 UTC
A description of the ovirt-provider-ovn conf files should be added to docs.
Description below:

The ovirt-provider-ovn config file is located in:
  /etc/ovirt-provider-ovn/
  /etc/ovirt-provider-ovn/conf.d/

The default configuration file is:
  /etc/ovirt-provider-ovn/ovirt-provider-ovn.conf

If any changes to the configuration are needed, please override the 
default configuration file by placing a .conf file in:
  /etc/ovirt-provider-ovn/conf.d/

Only *.conf are considered. Files read in by name, last wins.

If the provider was installed using engine setup, one incremental
config file will be automatically created by engine setup:
  /etc/ovirt-provider-ovn/conf.d/10_engine_setup.conf
If further configuration changes are required, an additional incremental
configuration file should be created, named after the engine setup config,
for example:
  /etc/ovirt-provider-ovn/conf.d/20_user_setup.conf
The original engine setup config (10_engine_setup.conf) should not be modified.

A description of the configuration properties can be found in the readme file located in:
  /etc/ovirt-provider-ovn/

Comment 1 Lucy Bopf 2018-04-13 05:29:10 UTC
Marcin, is this change recorded in an engineering RFE? If so, can you provide the BZ number. Thanks!

Comment 2 Marcin Mirecki 2018-04-13 07:55:53 UTC
It would be hard to bind this to a specific BZ.
The change was spread over quite a long time period, small changes, usually without a bz.

The BZ adding incremental configuration:
https://bugzilla.redhat.com/1447875

Comment 4 Sandro Bonazzola 2019-01-28 09:44:40 UTC
This bug has not been marked as blocker for oVirt 4.3.0.
Since we are releasing it tomorrow, January 29th, this bug has been re-targeted to 4.3.1.

Comment 6 Dominik Holler 2019-03-21 12:46:58 UTC
We were not able to figure out the motivation, why the user should modify the files.


Note You need to log in before you can comment on or make changes to this bug.